Subject: Re: Java GIT/Eclipse GIT version 0.1.1

From: Shawn Pearce <[email-masked]>
Date: Mon, 31 Jul 2006 00:22:00 -0400

Daniel Barkalow <[email-masked]> wrote:
> On Fri, 28 Jul 2006, Shawn Pearce wrote:
> 
> > I would appreciate any and all input, feedback, etc. that anyone
> > might have on this library or plugin.  Patches are of course
> > certainly welcome.  :-)
> 
> I'm going to try to do a Servlet (+ my stuff) implementation of essentiall 
> gitweb, with the idea that it could integrate with project management 
> software (i.e., link completed tasks to the commit which completed them, 
> regressions to the commit that broke things, fixes to the commit that 
> fixed them, etc, with the UI for choosing values letting you browse the 
> actual content and validating that the hash you give exists).
> 
> I don't think I need anything you don't already have, but I'll write 
> documentation as I figure out what's going on, if you want that.

Sure.  Any improvements would be welcome.  :-)

Please keep in mind that when I post the next update to the
repository I'm going to switch the license to the LGPL.

Apparently the Apache License has issues with GPL (I didn't know
this until just recently) and the GPL is definately incompatible
with the Eclipse license (also just found this out).

-- 
Shawn.